#include "params.h"
#include "prg.h"
#include <openssl/aes.h>



void prg(unsigned char *r, unsigned long long rlen, const unsigned char key[SEED_BYTES])
{
	int i;
	unsigned char in[16] = {0, };

	AES_KEY kexp;
	AES_set_encrypt_key(key, 256, &kexp);

	// implement only if length of output is (1)multiple of 16 bytes and (2)<= 16*256 bytes for test
	for(i=0; i<(rlen >> 4); i++)
	{
		AES_encrypt(in, r + (i << 4), &kexp);
		in[15]++;
	}

}
