#ifndef WOTS_H
#define WOTS_H

#include "params.h"

void wss_b_pkgen(unsigned char pk[WOTS_L*HASH_BYTES], const unsigned char sk[SEED_BYTES], const unsigned char masks[(WOTS_W-1)*HASH_BYTES], unsigned char ftn_key[HASH_BYTES]);

void wss_b_sign(unsigned char sig[WOTS_L*HASH_BYTES], const unsigned char msg[HASH_BYTES], const unsigned char sk[SEED_BYTES], unsigned char pk[WOTS_L*HASH_BYTES], const unsigned char masks[(WOTS_W-1)*HASH_BYTES], unsigned char ftn_key[HASH_BYTES]);

void wss_b_verify(unsigned char pk[WOTS_L*HASH_BYTES], const unsigned char sig[WOTS_L*HASH_BYTES], const unsigned char msg[HASH_BYTES], const unsigned char masks[(WOTS_W-1)*HASH_BYTES], unsigned char ftn_key[HASH_BYTES]);

#endif
