#ifndef WSSN_H
#define WSSN_H


#include "params.h"

void wss_n_pkgen(unsigned char pk[WOTS_L*HASH_BYTES], const unsigned char sk[SEED_BYTES], const unsigned char masks[(21-1)*HASH_BYTES], unsigned char ftn_key[HASH_BYTES]);

void wss_n_sign(unsigned char sig[WOTS_L*HASH_BYTES], const unsigned char msg[HASH_BYTES], const unsigned char sk[SEED_BYTES], unsigned char pk[WOTS_L*HASH_BYTES], const unsigned char masks[(21-1)*HASH_BYTES], unsigned char ftn_key[HASH_BYTES]);

void wss_n_verify(unsigned char pk[WOTS_L*HASH_BYTES], const unsigned char sig[WOTS_L*HASH_BYTES], const unsigned char msg[HASH_BYTES], const unsigned char masks[(21-1)*HASH_BYTES], unsigned char ftn_key[HASH_BYTES]);

void init_order_tables();

#endif
